Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts.utils
Class Utility

    java.lang.Object
      com.arjuna.ats.jts.utils.Utility

public class Utility
extends java.lang.Object

Some useful utility functions for the OTS. Use with care!

Since:
  JTS 1.0.
Version:
  $Id: Utility.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark_little@hp.com)

Constructor Summary
`Utility()`

Method Summary
`static java.lang.String` | `getHierarchy(org.omg.CosTransactions.PropagationContext ctx)`
`static Uid` | `getUid(org.omg.CosTransactions.Control cont)` If this control refers to an Arjuna transaction then return its native Uid representation.
`static Uid` | `getUid(XID xid)`
`static XID` | `getXid(org.omg.CosTransactions.Control cont, boolean branch)`
`static XID` | `getXid(Uid uid, boolean branch)`
`static Uid` | `otidToUid(org.omg.CosTransactions.otid_t otid)`
`static java.io.PrintWriter` | `printStatus(java.io.PrintWriter strm, org.omg.CosTransactions.Status res)`
`static java.lang.String` | `stringStatus(org.omg.CosTransactions.Status res)`
`static java.lang.String` | `stringVote(org.omg.CosTransactions.Vote v)`
`static org.omg.CosTransactions.otid_t` | `uidToOtid(java.lang.String theUid)`
`static org.omg.CosTransactions.otid_t` | `uidToOtid(Uid theUid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utility

    public Utility()

Method Detail

### getHierarchy

    public static java.lang.String getHierarchy(org.omg.CosTransactions.PropagationContext ctx)

### stringVote

    public static java.lang.String stringVote(org.omg.CosTransactions.Vote v)

  Since:
    JTS 2.1.2.

### printStatus

    public static java.io.PrintWriter printStatus(java.io.PrintWriter strm,
                                                  org.omg.CosTransactions.Status res)

### stringStatus

    public static java.lang.String stringStatus(org.omg.CosTransactions.Status res)

  Since:
    JTS 2.1.2.

### getXid

    public static XID getXid(Uid uid,
                             boolean branch)
                      throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### getXid

    public static XID getXid(org.omg.CosTransactions.Control cont,
                             boolean branch)
                      throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException`

### getUid

    public static Uid getUid(XID xid)

### getUid

    public static final Uid getUid(org.omg.CosTransactions.Control cont)

  If this control refers to an Arjuna transaction then return its native Uid representation. Otherwise return Uid.nullUid().

### uidToOtid

    public static final org.omg.CosTransactions.otid_t uidToOtid(Uid theUid)

  Since:
    JTS 2.2.

### uidToOtid

    public static final org.omg.CosTransactions.otid_t uidToOtid(java.lang.String theUid)

### otidToUid

    public static final Uid otidToUid(org.omg.CosTransactions.otid_t otid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD